Subject: Re: [bug#28964] [PATCH] gnu: Add hping.

From: Leo Famulari <[email-masked]>
Date: Tue, 25 Feb 2020 15:15:49 -0500

On Tue, Feb 25, 2020 at 08:12:03PM +0100, Jakub Kądziołka wrote:
> Since upstream has stopped merging PRs *quite* a while ago, I'd suggest
> we should adopt the patches being used by other distributions. I took a
> brief look at Gentoo, and their patches [1] look reasonable. Thoughts?
> 
> [0]: https://gitweb.gentoo.org/repo/gentoo.git/tree/net-analyzer/hping/files

In general we have always packaged upstream rather than 3rd-party
variants, and tried to push changes upstream, etc. The idea being that
distros are not the right place for package development.

However, in some cases we do package distro variants of programs whose
"canonical" upstreams are defunct, for example w3m, which is now
developed within Debian. It's a matter of judgment.

In this case I think we should drop the patch, since Marius did not
pursue it.